Reissues a card, creating a new replacement card linked to the original. Returns the ID of the new card.
Reissue Card
/api/cards/{cardId}/reissue Request
Path Parameters
cardIdstringrequiredID of card
Body application/json
reissuanceTypestringrequiredAllowed values:standard-renewalThe reason for reissuance.
languagestringCarrier language for a physical card, in ISO 639-1 Alpha-2 format. Required if card program supports physical cards. The carrier is the physical packaging to which the card is attached for delivery.
shippingMethodstringAllowed values:standard-courierpremium-courierShipping method for a physical card. Required if card program supports physical cards.
shippingAddressobjectShipping address for a physical card. Required if card program supports physical cards. Only one of the optional fields companyName or addressLine2 can be provided. Each field must be less than 35 characters.
companyNamestring(Optional) Company name.
countrystringThe ISO 3166-2 Country code of the country the address is in.
statestring(Optional) State, province, prefecture, canton, region. Use local abbreviations such as VIC (Victoria) or TX (Texas).
townstringCity, town, village, ward, municipality
postalCodestringPostal code
addressLine1stringFirst line of an address. Can represent street number and name or a PO Box. Max 35 characters.
addressLine2string(Optional) Second line of an address. Max 35 characters.
Response
Successful operation.
Body application/json
cardIdstringThe ID of the reissued (replacement) card
Request fields are invalid, or the request could not be processed for the reason stated in the message.
SHIPPING_ADDRESS_REQUIRED Card program is configured for physical cards but no shipping address was provided.
SHIPPING_METHOD_REQUIRED Card program is configured for physical cards but no shipping method was provided.
LANGUAGE_REQUIRED Card program is configured for physical cards but no carrier language was provided.
PHYSICAL_CARD_CONFIGURATION_INVALID The combination of card program, region, shipping method, and carrier language is invalid.
SHIPPING_ADDRESS_LINE_TOO_LONG A formatted shipping address line exceeds the maximum line length allowed for the card carrier.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
User is not allowed to perform the action with the reason stated in the message.
FORBIDDEN Insufficient permissions to perform the action, or a business rule violation has occurred.
CARD_NOT_FOUND Card ID not found.
SHIPPING_COUNTRY_UNSUPPORTED The shipping country is not supported for physical card reissuance.
CARD_REISSUE_NOT_ALLOWED The card cannot be reissued. The card has already been reissued and a replacement card exists, the maximum number of reissues for this card has been exceeded, the card is not in an active (reissuable) state, the cardholder or card is blocked from card creation, or a reissue is already in progress for this card.
KYC_REQUIRED Cardholder has no KYC profile, or KYC profile has not passed.
CONTACT_EMAIL_REQUIRED Cardholder does not have a contact email.
CONTACT_PHONE_REQUIRED Cardholder does not have a contact phone.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring